AEAD_REQUEST_SET_ASS(9)

NAME
aead_request_set_assoc - set the associated data scatter / gather list

SYNOPSIS

void aead_request_set_assoc(struct aead_request * req, struct scatterlist * assoc, unsigned int assoclen);

ARGUMENTS

req
    request handle

assoc
    associated data scatter / gather list

assoclen
    number of bytes to process from assoc

DESCRIPTION

For encryption, the memory is filled with the associated data. For decryption, the memory must point to the associated data.

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT